package com.magistr.app.dto;

public class CreateSubjectRequest {

    private Long id;
    private String name;
    private String code;
    private Long departmentId;

    public CreateSubjectRequest() {};

    public CreateSubjectRequest(Long id, String name, String code, Long departmentId) {
        this.id = id;
        this.name = name;
        this.code = code;
        this.departmentId = departmentId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Long getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }
}
